Subject: Re: bug#9736: Configure error for emacs-24.0.90 with AIX 5.3

From: Dan Nicolaescu <[email-masked]>
Date: Wed, 12 Oct 2011 13:40:48 -0400

Glenn Morris <[email-masked]> writes:

> The error message says:
>
>   I couldn't find termcap functions (tputs and friends). Maybe some
>   development libraries/packages are missing? Try installing
>   libncurses-dev(el), libterminfo-dev(el) or similar.
>
> (I think the wording could be improved a bit.)
>
> configure checks for the tputs function in any of libncurses,
> libterminfo, and libtermcap. Your system does not seem to have any of
> them:
>
> collect2: library libncurses not found
> collect2: library libterminfo not found
> collect2: library libtermcap not found
>
> Please try either installing one of these libraries and its header
> files, or if they are already installed explicitly telling configure
> where they are; eg:
>
> CFLAGS=-I/path/to/terminfo/include LDFLAGS=-L/path/to/terminfo/lib ./configure

I think the configure test is incorrect.
For example on Solaris this would find libtermcap, where previous emacs
version would use libcurses, which would be the better option.